v4.0
put
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/inventory/kits
Updates kit attributes. Rights: OrsInventoryPost and OrsUnblinded. New filter tempExcursionNumber added.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : Update Kit Attributes Request v4.0
Type:
objectTitle:
Update Kit Attributes Request v4.0Request to update kit attributes.
Show Source
-
inventoryStatusId: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
itemNumber: string
Item number.Example:
30100000200000000000000000000005 -
kitFilters: object
KitFiltersRequest v4.0
Title:
KitFiltersRequest v4.0Request object for kit filters. -
kits: array
kits
Title:
kitsKit ID. -
labelGroupId: string
Label group ID.Example:
30100000200000000000000000000005 -
location: string
Location.Example:
30100000200000000000000000000005 -
manufacturingLotId: string
Manufacturing lot ID.Example:
30100000200000000000000000000005 -
materialId: string
Material ID.Example:
30100000200000000000000000000005 -
reason: string
Minimum Length:
0Maximum Length:255Reason.Example:kit damaged by subject -
updateItemNumber: boolean
Whether to update the item number.Example:
true -
updateMaterialId: boolean
Whether to update the material ID.Example:
true
Nested Schema : KitFiltersRequest v4.0
Type:
objectTitle:
KitFiltersRequest v4.0Request object for kit filters.
Show Source
-
blockNumber: string
Title:
Block NumberBlock number.Example:1 -
kitNumber: string
Kit number.Example:
abc-2 -
kitRange: string
Kit rangeExample:
SEQUENCE_NUMBER:900:1200 -
kitStatus: string
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
1 -
kitTypeIds: array
kitTypeIds
ID of the kit type.
-
labelGroupId: string
Label group ID.Example:
B1B8327AFAA6412287106192AB5984EF -
location: string
Location.Example:
ALL_SITES -
lotId: string
Lot ID.Example:
B1B8327AFAA6412287106192AB5984EF -
tempExcursionNumber: string
Temperature excursion number.Example:
1
Nested Schema : kitTypeIds
Type:
arrayID of the kit type.
Show Source
-
Array of:
string(uuid)
ID of the kit type.
Example:
[
"3F6567865E694182BEEA2B4F76538F05",
"461A0B8261454C1EBA56285BB538E7B5",
"EB2B77004EF74E479B6DDBA56D8B6A51"
]Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : UpdateKitsResponse
Type:
Show Source
object-
noOfRowsUpdated: integer
(int32)
Title:
Number of Kits UpdatedNumber of kits updated.Example:10 -
tempExcursionNumber: string
Temperature excursion number.Example:
001
400 Response
Specify at least one kit attribute OR Reason is required OR Specify at least one filter. OR Either kits or kitFilters is required OR Invalid kit status OR Invalid kit range filter OR Invalid lot OR Invalid label group in kit filters OR Invalid kit type OR Invalid location OR No kits to update OR Update kits retrieved size exceeds maximum rows for update limit OR Invalid inventory status transition
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object